<template>
    <div>
        <!-- Graph sections -->
        <v-row no-gutters>
            <v-col cols="4">
                <v-card class="mx-auto my-1 ml-2" width="250" height="280" elevation="9">
                    <v-card-item>
                        <v-card-title>
                            Your Level
                        </v-card-title>
                        <v-card-subtitle>
                            Your Level: A2
                        </v-card-subtitle>
                    </v-card-item>
                    <v-row no-gutters>
                        <v-col cols="6">
                            <v-card-text>
                                <div class="text-center">
                                    <v-progress-circular :rotate="210" :size="100" :width="14" :model-value="value"
                                        color="#81C784">
                                        <template v-slot:default> {{ value }} % </template>
                                    </v-progress-circular>
                                </div>
                            </v-card-text>
                        </v-col>

                        <v-col>
                            <v-text class="text-disabled">
                                Details:
                            </v-text>
                            <v-checkbox label="Reading "></v-checkbox>
                            <v-checkbox label="Listening"></v-checkbox>
                        </v-col>
                    </v-row>
                </v-card>
            </v-col>

            <!-- Bar Section -->
            <v-col cols="7">
                <v-card class="mx-auto  ml-8" width="480" height="280" elevation="9">
                    <v-row no-gutters>
                        <v-col cols="6">
                            <v-card-item>
                                <v-card-title>
                                    Hours Spent
                                </v-card-title>
                                <v-text class="text-h2 pl-4">
                                    6 Hours
                                </v-text>
                                <p class="text-h7 mb-15 text-disabled">32 Minutes</p>
                            </v-card-item>

                            <v-card-text class="text-disabled">
                                <v-checkbox label="60 Minutes +5%" color="success"></v-checkbox>
                            </v-card-text>
                        </v-col>

                        <v-col cols="6" class="ml-auto">
                            <canvas ref="barChart" style="width: 190px; height: 250px;"></canvas>
                        </v-col>
                    </v-row>
                </v-card>
            </v-col>
        </v-row>
    </div>
</template>

<script>
import Chart from 'chart.js/auto';

export default {
    data() {
        return {
            value: 0,
        }
    },
    mounted() {
        this.createBarChart();
        this.interval = setInterval(() => {
            this.value = 78;
        }, 1000); // Adjust the interval duration as needed
    },
    methods: {
        createBarChart() {
            // Chart.js logic to create the bar chart
            const data = {
                labels: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
                datasets: [{
                    label: 'Day Weekly Monthly',
                    data: [20, 30, 40, 60, 30, 20, 30],
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(255, 159, 64, 0.2)',
                        'rgba(255, 205, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(201, 203, 207, 0.2)'
                    ],
                    borderColor: [
                        'rgb(255, 99, 132)',
                        'rgb(255, 159, 64)',
                        'rgb(255, 205, 86)',
                        'rgb(75, 192, 192)',
                        'rgb(54, 162, 235)',
                        'rgb(153, 102, 255)',
                        'rgb(201, 203, 207)'
                    ],
                    borderWidth: 1
                }]
            };

            const ctx = this.$refs.barChart.getContext('2d');
            new Chart(ctx, {
                type: 'bar',
                data: data,
                options: {
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }
    }
}
</script>

<style scoped>
/* Add any necessary custom styles here */
</style>
